player = {}

function player:load()
    self.x = 50
    self.y = 50
    self.w = 40
    self.h = 40
    self.speed = 150
    self.dead = false
end

function player:draw()
    love.graphics.rectangle("fill", self.x, self.y, self.w, self.h)
end

function player:input(dt)
    -- moving left
    if love.keyboard.isDown("a") and self.dead == false or love.keyboard.isDown("left") and self.dead == false then
        self.x = self.x - self.speed * dt
    end

    -- moving right
    if love.keyboard.isDown("d") and self.dead == false or love.keyboard.isDown("right") and self.dead == false then
        self.x = self.x + self.speed * dt
    end
    -- jumping
    function love.keypressed(key)
        if key == "space" and self.dead == false then
            self.y = self.y + 800 * dt
        end
    end
end

function player:update(dt)
    player:input(dt)
    self.y = self.y - world.drag / 0.8 * dt
end