require("src.player")
require("src.generation")
require("src.util.collision")

world = {}

function love.load()
    love.graphics.setDefaultFilter("nearest", "nearest")
    world.drag = 20
    generation:load()
    player:load()
end

function love.draw()
    generation:draw()
    player:draw()
end

function love.update(dt)
    collision:update(dt)
    generation:update(dt)
    player:update(dt)
end