require("src.player")

generation = {}

function generation:load()
    timer = 0
    math.randomseed(os.time())
    gems = {}
    gemimg = love.graphics.newImage("src/img/gem.png")
end

function generation:draw()
    love.graphics.print(#gems)
    for i,gem in ipairs(gems) do
        love.graphics.draw(gemimg, gem.x, gem.y, gem.r, gem.r, nil)
    end
end

function generation:update(dt)
    timer = timer - dt

    for i,gem in ipairs(gems) do
        gem.y = gem.y - world.drag * dt
        if gem.y < 0 - 30 then
            table.remove(gems, i)
        end
    end

    if timer < 0 and player.dead == false then
        timer = math.random(1.0, 16.0)
        local gem = {}
        gem.x = math.random(0, love.graphics.getWidth())
        -- where the gems spawn
        gem.y = love.graphics.getHeight() + 190
        gem.r = 10
        table.insert(gems, gem)
    end
end